### Method

# Gio NetworkAddress get_hostname

since: 2.22

#### Declaration

    const gchar*
    g_network_address_get_hostname (
      GNetworkAddress* addr
    )

#### Description

Gets `addr`‘s hostname. This might be either UTF-8 or ASCII-encoded, depending on what `addr` was created with.

Available since: 2.22

Gets property | `Gio.NetworkAddress:hostname`

#### Return value

Type: `const gchar*`

`addr`‘s hostname.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.